<html>
<head>
<title>OgreEAGL2Window.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_740c5ae02f3e58539fc77518d7d26661.html">GLES2</a>      </li>
      <li class="navelem"><a class="el" href="dir_03408e7e26591a021d5048c9e4238005.html">include</a>      </li>
      <li class="navelem"><a class="el" href="dir_51b9dec6e449a91542c46b3066bb51cb.html">EAGL</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreEAGL2Window.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreEAGL2Window_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __EAGL2Window_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __EAGL2Window_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderWindow_8h.html">OgreRenderWindow.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="preprocessor">#ifdef __OBJC__</span>
<a name="l00035"></a>00035 <span class="preprocessor"></span><span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#import &quot;<a class="code" href="OgreEAGL2View_8h.html">OgreEAGL2View.h</a>&quot;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#import &quot;<a class="code" href="OgreEAGL2ViewController_8h.html">OgreEAGL2ViewController.h</a>&quot;</span>
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="comment">// Forward declarations</span>
<a name="l00040"></a>00040 <span class="keyword">@class</span> CAEAGLLayer;
<a name="l00041"></a>00041 
<a name="l00042"></a>00042 <span class="comment">// Define the native window type</span>
<a name="l00043"></a>00043 <span class="keyword">typedef</span> UIWindow *NativeWindowType;
<a name="l00044"></a>00044 
<a name="l00045"></a>00045 <span class="preprocessor">#endif</span>
<a name="l00046"></a>00046 <span class="preprocessor"></span>
<a name="l00047"></a>00047 <span class="keyword">namespace </span>Ogre {
<a name="l00048"></a>00048     <span class="keyword">class </span>EAGL2Support;
<a name="l00049"></a>00049     <span class="keyword">class </span>EAGLES2Context;
<a name="l00050"></a>00050 
<a name="l00051"></a><a class="code" href="classOgre_1_1EAGL2Window.html">00051</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1EAGL2Window.html">EAGL2Window</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>
<a name="l00052"></a>00052     {
<a name="l00053"></a>00053         <span class="keyword">protected</span>:
<a name="l00054"></a><a class="code" href="classOgre_1_1EAGL2Window.html#ae8af0e605cc70741707e1f659bead56e">00054</a>             <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1EAGL2Window.html#ae8af0e605cc70741707e1f659bead56e">mClosed</a>;
<a name="l00055"></a><a class="code" href="classOgre_1_1EAGL2Window.html#a368c31e29675c777497c778478fd4789">00055</a>             <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1EAGL2Window.html#a368c31e29675c777497c778478fd4789">mVisible</a>;
<a name="l00057"></a><a class="code" href="classOgre_1_1EAGL2Window.html#a00bf2b2b953727b8bc723baadf61e7fc">00057</a>             <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1EAGL2Window.html#a00bf2b2b953727b8bc723baadf61e7fc" title="Is this using an external window handle?">mIsExternal</a>;
<a name="l00059"></a><a class="code" href="classOgre_1_1EAGL2Window.html#a82cc7d71fc77c9ddd5a7a88d2c91adff">00059</a>             <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1EAGL2Window.html#a82cc7d71fc77c9ddd5a7a88d2c91adff" title="Is this using an external view handle?">mUsingExternalView</a>;
<a name="l00061"></a><a class="code" href="classOgre_1_1EAGL2Window.html#a25db80e08030631e9d11ef2dac046339">00061</a>             <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1EAGL2Window.html#a25db80e08030631e9d11ef2dac046339" title="Is this using an external view controller handle?">mUsingExternalViewController</a>;
<a name="l00062"></a>00062 
<a name="l00063"></a>00063             <span class="comment">// iOS 4 content scaling</span>
<a name="l00064"></a><a class="code" href="classOgre_1_1EAGL2Window.html#a8059b73dc0fe00cf32c66316c7ed69d9">00064</a>             <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1EAGL2Window.html#a8059b73dc0fe00cf32c66316c7ed69d9">mIsContentScalingSupported</a>;
<a name="l00065"></a><a class="code" href="classOgre_1_1EAGL2Window.html#a7bee97a5707fecdd647c2f986214c6d2">00065</a>             <span class="keywordtype">float</span> <a class="code" href="classOgre_1_1EAGL2Window.html#a7bee97a5707fecdd647c2f986214c6d2">mContentScalingFactor</a>;
<a name="l00066"></a><a class="code" href="classOgre_1_1EAGL2Window.html#a6f6ea69388b5b6376d2383d34c580085">00066</a>             <span class="keywordtype">float</span> <a class="code" href="classOgre_1_1EAGL2Window.html#a6f6ea69388b5b6376d2383d34c580085">mCurrentOSVersion</a>;
<a name="l00067"></a>00067 
<a name="l00068"></a><a class="code" href="classOgre_1_1EAGL2Window.html#a151d9795b943cb693b03fc0cba71e5b8">00068</a>             <a class="code" href="classOgre_1_1EAGL2Support.html">EAGL2Support</a>* <a class="code" href="classOgre_1_1EAGL2Window.html#a151d9795b943cb693b03fc0cba71e5b8">mGLSupport</a>;
<a name="l00069"></a><a class="code" href="classOgre_1_1EAGL2Window.html#aabb43000d7bd16ae7480c4af9ab3af2c">00069</a>             <a class="code" href="classOgre_1_1EAGLES2Context.html">EAGLES2Context</a>* <a class="code" href="classOgre_1_1EAGL2Window.html#aabb43000d7bd16ae7480c4af9ab3af2c">mContext</a>;
<a name="l00070"></a>00070 <span class="preprocessor">#ifdef __OBJC__</span>
<a name="l00071"></a>00071 <span class="preprocessor"></span>            NativeWindowType mWindow;
<a name="l00072"></a>00072             EAGL2View *mView;
<a name="l00073"></a>00073             <a class="code" href="interfaceEAGL2ViewController.html">EAGL2ViewController</a> *mViewController;
<a name="l00074"></a>00074 <span class="preprocessor">#endif</span>
<a name="l00075"></a>00075 <span class="preprocessor"></span>
<a name="l00076"></a><a class="code" href="classOgre_1_1EAGL2Window.html#aaa4e2bcfcfc85813c772611abe96b9e2">00076</a>             <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1EAGL2Window.html#aaa4e2bcfcfc85813c772611abe96b9e2">switchFullScreen</a>(<span class="keywordtype">bool</span> fullscreen) { }
<a name="l00077"></a>00077             <span class="keywordtype">void</span> getLeftAndTopFromNativeWindow(<span class="keywordtype">int</span> &amp; left, <span class="keywordtype">int</span> &amp; top, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> width, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> height);
<a name="l00078"></a>00078             <span class="keywordtype">void</span> initNativeCreatedWindow(<span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a> *miscParams);
<a name="l00079"></a>00079             <span class="keywordtype">void</span> createNativeWindow(<span class="keywordtype">int</span> &amp;left, <span class="keywordtype">int</span> &amp;top, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> &amp;width, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> &amp;height, <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;title);
<a name="l00080"></a>00080             <span class="keywordtype">void</span> reposition(<span class="keywordtype">int</span> left, <span class="keywordtype">int</span> top);
<a name="l00081"></a>00081             <span class="keywordtype">void</span> resize(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height);
<a name="l00082"></a>00082             <span class="keywordtype">void</span> windowMovedOrResized();
<a name="l00083"></a>00083             <span class="keyword">virtual</span> <span class="keywordtype">void</span> _beginUpdate();
<a name="l00084"></a>00084 
<a name="l00085"></a>00085     <span class="keyword">public</span>:
<a name="l00086"></a>00086             <a class="code" href="classOgre_1_1EAGL2Window.html">EAGL2Window</a>(<a class="code" href="classOgre_1_1EAGL2Support.html">EAGL2Support</a>* glsupport);
<a name="l00087"></a>00087             <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1EAGL2Window.html">EAGL2Window</a>();
<a name="l00088"></a>00088 
<a name="l00089"></a>00089             <span class="keywordtype">void</span> create(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height,
<a name="l00090"></a>00090                         <span class="keywordtype">bool</span> fullScreen, <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a> *miscParams);
<a name="l00091"></a>00091 
<a name="l00092"></a>00092             <span class="keyword">virtual</span> <span class="keywordtype">void</span> setFullscreen(<span class="keywordtype">bool</span> fullscreen, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> width, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> height);
<a name="l00093"></a>00093             <span class="keywordtype">void</span> destroy(<span class="keywordtype">void</span>);
<a name="l00094"></a><a class="code" href="classOgre_1_1EAGL2Window.html#a4b818925ab0216379a717340b9881eec">00094</a>             <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1EAGL2Window.html#a4b818925ab0216379a717340b9881eec" title="Indicates whether the window has been closed by the user.">isClosed</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mClosed; }
<a name="l00095"></a><a class="code" href="classOgre_1_1EAGL2Window.html#ad9b349b0da4d878ddf8d7dfb75da379d">00095</a>             <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1EAGL2Window.html#ad9b349b0da4d878ddf8d7dfb75da379d" title="Indicates whether the window is visible (not minimized or obscured)">isVisible</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mVisible; }
<a name="l00096"></a>00096 
<a name="l00097"></a><a class="code" href="classOgre_1_1EAGL2Window.html#a334ac636f0e7e951ca948e52fd7e3e40">00097</a>             <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1EAGL2Window.html#a334ac636f0e7e951ca948e52fd7e3e40" title="Set the visibility state.">setVisible</a>(<span class="keywordtype">bool</span> visible) { mVisible = visible; }
<a name="l00098"></a><a class="code" href="classOgre_1_1EAGL2Window.html#aeed0f214cc62e61340ab1f1ff294e5a4">00098</a>             <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1EAGL2Window.html#aeed0f214cc62e61340ab1f1ff294e5a4">setClosed</a>(<span class="keywordtype">bool</span> closed) { mClosed = closed; }
<a name="l00099"></a>00099             <span class="keywordtype">void</span> swapBuffers(<span class="keywordtype">bool</span> waitForVSync);
<a name="l00100"></a>00100             <span class="keywordtype">void</span> copyContentsToMemory(<span class="keyword">const</span> <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> &amp;dst, FrameBuffer buffer);
<a name="l00101"></a>00101 
<a name="l00111"></a>00111             <span class="keyword">virtual</span> <span class="keywordtype">void</span> getCustomAttribute(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">void</span>* pData);
<a name="l00112"></a>00112 
<a name="l00113"></a><a class="code" href="classOgre_1_1EAGL2Window.html#af6a98bc73a651e2b57bfa2b966247d9c">00113</a>             <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1EAGL2Window.html#af6a98bc73a651e2b57bfa2b966247d9c">requiresTextureFlipping</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">false</span>; }
<a name="l00114"></a>00114     };
<a name="l00115"></a>00115 }
<a name="l00116"></a>00116 
<a name="l00117"></a>00117 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
